- [HTTP request](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/install#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/install#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/install#body.request_body)
- [Response body](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/install#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/install#body.aspect)
- [Try it!](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/install#try-it)

Installs a deployment to your account for testing. For more information, see [Test your add-on](https://developers.google.com/workspace/add-ons/guides/alternate-runtimes#test_your_add-on)

### HTTP request

`POST https://gsuiteaddons.googleapis.com/v1/{name=projects/*/deployments/*}:install`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The full resource name of the deployment to install. Example: `projects/my_project/deployments/my_deployment`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `gsuiteaddons.deployments.install` |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).